# Class ModelHandlerBase

java.lang.Object
org.eclipse.e4.ui.workbench.modeling.ModelHandlerBase

Direct Known Subclasses:
  `EObjModelHandler`

public class ModelHandlerBase extends Object

Since:
  1.0
Restriction:
  This class is not intended to be referenced by clients.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ModelHandlerBase()`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getChildren(Object element, String id)`
`Object`
`getProperty(Object element, String id)`
`String[]`
`getPropIds(Object element)`
`void`
`setProperty(Object element, String id, Object value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelHandlerBase

protected ModelHandlerBase()

## Method Details

### getProperty

public Object getProperty(Object element, String id)

### setProperty

public void setProperty(Object element, String id, Object value)

### getChildren

public Object[] getChildren(Object element, String id)

### getPropIds

public String[] getPropIds(Object element)